Last Comment Bug 654343 - Not getting offered Billboard graphic in update for 3.7a3 thru to 4.0b6
: Not getting offered Billboard graphic in update for 3.7a3 thru to 4.0b6
Status: RESOLVED WONTFIX
[updates]
:
Product: Release Engineering
Classification: Other
Component: Other (show other bugs)
: other
: All All
: P3 normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
http://www.mozilla.com/en-US/firefox/...
Depends on: 459972
Blocks: 651982
  Show dependency treegraph
 
Reported: 2011-05-02 17:37 PDT by Marcia Knous [:marcia - use ni]
Modified: 2013-08-12 21:54 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Marcia Knous [:marcia - use ni] 2011-05-02 17:37:10 PDT
Seen while doing Billboard Testing. Seen on Mac but also seen on other platforms by Geo during testing. On Mac I was testing x64 build.

STR:
1. Start with a fresh profile.
2. Change channel to betatest
3. Check for Updates.
4. I get the MU Billboard, but text version only. I don't get the graphic version that is present in the URL in this bug.
Comment 1 Marcia Knous [:marcia - use ni] 2011-05-02 17:39:56 PDT
On Mac, I do get the graphic using  Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:2.0b12) Gecko/20100101 Firefox/4.0b12.
Comment 2 Robert Strong [:rstrong] (use needinfo to contact me) 2011-05-02 17:40:31 PDT
Chances are this is either a releng bug with the correct billboard url or a bug against getting the billboard pushed and not an app update bug. :(
Comment 3 Nick Thomas [:nthomas] 2011-05-02 17:47:11 PDT
Can't see anything wrong with 
 https://aus2.mozilla.org/update/3/Firefox/3.7a5/20100610053411/Darwin_Universal-gcc3/en-US/betatest/Darwin%2010.7.3/default/default/update.xml?force=1
and the billboard page works reliably for me. We're using the same URL for all these snippets.

There are very few users on this release, and they still get offered 'Mozilla Developer Preview 5.0' by text, so it's not a big deal for what we're trying to do for bug 651982.
Comment 4 Marcia Knous [:marcia - use ni] 2011-05-02 17:54:16 PDT
Testing on Mac, I do get the graphic billboard starting with B7. I do not get it using B6. 

In B6 we still had the Check for Updates under the Help Menu. Starting with B7 it is in the Firefox: About Firefox.
Comment 5 Robert Strong [:rstrong] (use needinfo to contact me) 2011-05-02 19:23:24 PDT
Marcia, how about with the non-x64 Mac build?
http://ftp.mozilla.org/pub/mozilla.org/mozilla.org/firefox/releases/4.0b6/mac/en-US/
Comment 6 Robert Strong [:rstrong] (use needinfo to contact me) 2011-05-02 19:52:46 PDT
Nick, I get the following for the Mac x64 update snippet which is what Marcia is using.

∫https://aus2.mozilla.org/update/3/Firefox/4.0b6/20100914073111/Darwin_x86_64-gcc3/en-US/beta/Darwin%2010.6.0/default/default/update.xml?force=1

<?xml version="1.0"?>
<updates>
    <update type="minor" version="4.0.1" extensionVersion="4.0.1" buildID="20110413222027" detailsURL="https://www.mozilla.com/en-US/firefox/4.0.1/releasenotes/">
        <patch type="complete" URL="http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/4.0.1-candidates/build1/update/mac/en-US/firefox-4.0.1.complete.mar" hashFunction="SHA512" hashValue="503d8a7ec65585d895bceb2cc10406159aba1ed971ce9132309bf9d3a56be5508aa154dacefe31e50af667f6aed0b32afe328a01214cd06bc49534320f888d83" size="27255854"/>
    </update>
</updates>
Comment 7 Nick Thomas [:nthomas] 2011-05-02 20:07:14 PDT
Rob, you need to switch to the betatest channel:

https://aus2.mozilla.org/update/3/Firefox/4.0b6/20100914073111/Darwin_x86_64-gcc3/en-US/betatest/Darwin%2010.6.0/default/default/update.xml?force=1

<?xml version="1.0"?>
<updates>
    <update type="major" version="5.0" extensionVersion="5.0" buildID="20110427143820" detailsURL="https://www.mozilla.com/en-US/firefox/5.0beta/details/">
        <patch type="complete" URL="http://stage-old.mozilla.org/pub/mozilla.org/firefox/nightly/5.0b1-candidates/build1/update/mac/en-US/firefox-5.0b1.complete.mar" hashFunction="SHA512" hashValue="fd5750f98608466a2fc12dedb34875f436edc568c3a7d893fe086fa18bf8edef07f5e74b1ae8ed5da1e7a178f4d141f9afbe49f50bbf08bf9be479834a9b86b2" size="28849546"/>
    </update>
</updates>

When I tried with the 3.7a5 Universal build, with LiveHTTPHeaders installed, I saw the request to aus, and to version check, but nothing to mozilla.com for the billboard.
Comment 8 Nick Thomas [:nthomas] 2011-05-02 20:15:02 PDT
FWIW, we're not targeting the 64bit builds because there are very few users there. We originally used their buildIDs instead of the Universal ones by mistake, and that's now been corrected now.
Comment 9 Robert Strong [:rstrong] (use needinfo to contact me) 2011-05-02 20:21:10 PDT
Sounds fine to me.
Comment 10 Robert Strong [:rstrong] (use needinfo to contact me) 2011-05-02 20:43:20 PDT
(In reply to comment #7)
> Rob, you need to switch to the betatest channel:
doh and thanks

> https://aus2.mozilla.org/update/3/Firefox/4.0b6/20100914073111/Darwin_x86_64-gcc3/en-US/betatest/Darwin%2010.6.0/default/default/update.xml?force=1
> 
> <?xml version="1.0"?>
> <updates>
>     <update type="major" version="5.0" extensionVersion="5.0"
> buildID="20110427143820"
> detailsURL="https://www.mozilla.com/en-US/firefox/5.0beta/details/">
>         <patch type="complete"
> URL="http://stage-old.mozilla.org/pub/mozilla.org/firefox/nightly/5.0b1-candidates/build1/update/mac/en-US/firefox-5.0b1.complete.mar"
> hashFunction="SHA512"
> hashValue="fd5750f98608466a2fc12dedb34875f436edc568c3a7d893fe086fa18bf8edef07f5e74b1ae8ed5da1e7a178f4d141f9afbe49f50bbf08bf9be479834a9b86b2"
> size="28849546"/>
>     </update>
> </updates>
> 
> When I tried with the 3.7a5 Universal build, with LiveHTTPHeaders installed, I
> saw the request to aus, and to version check, but nothing to mozilla.com for
> the billboard.
That is because of bug 459972. I added fallback to the old format in bug 599274 after it became apparent that bug 459972 wasn't going to make it for Firefox 4. :(

The only way to fix this for beta builds after beta 3 and before beta 7 is to add a couple of the new attributes as described in bug 459972. iirc the following should suffice:
showPrompt="true"
billboardURL="https://www.mozilla.com/en-US/firefox/5.0beta/details/"

Nothing that can be done on the client side so moving back to releng.
Comment 11 Nick Thomas [:nthomas] 2011-05-02 21:30:28 PDT
(In reply to comment #10)
> The only way to fix this for beta builds after beta 3 and before beta 7 is to
> add a couple of the new attributes as described in bug 459972. iirc the
> following should suffice:
> showPrompt="true"
> billboardURL="https://www.mozilla.com/en-US/firefox/5.0beta/details/"

As you say, AUS doesn't support passing those through so we're kinda stuck. Why did you say beta 3 there and not alpha 4 ?
Comment 12 Robert Strong [:rstrong] (use needinfo to contact me) 2011-05-02 22:07:16 PDT
Lack of sleep... I read 1.9a3 as beta 3. Looks like it affects alpha 3 through beta 7.
Comment 13 Robert Strong [:rstrong] (use needinfo to contact me) 2011-05-02 22:10:31 PDT
(In reply to comment #12)
> Lack of sleep... I read 1.9a3 as beta 3. Looks like it affects alpha 3 through
> beta 7.

from alpha 3 through beta 6 (e.g. before beta 7) that is... lack of sleep strikes again
Comment 14 Nick Thomas [:nthomas] 2011-05-02 22:17:01 PDT
That's what I see in testing with Linux too, a3 through to beta6. A little short of a quarter of the ADU in bug 651982 comment #3 are on those versions, so it's not the end of the world. And they still get offered an update, it's just text-only and named a bit funny:
  3.7a3/a3/a4/a5       - Mozilla Developer Preview 5
  4.0b1/b2/b3/b4/b5/b6 - Mozilla Firefox 5.0

I don't think we can do anything about the M.D.P but, we can make it say '5.0 Beta' instead of '5' or '5.0' if people want that.
Comment 15 Laura Mesa [:lmesa] [:lvmesa] 2011-05-03 07:12:07 PDT
I think 5.0 beta would be good to have, but I wouldn't call it a blocker.
Comment 16 Laura Mesa [:lmesa] [:lvmesa] 2011-05-03 11:32:14 PDT
Please make it say 5.0 Beta instead of 5.0.
Comment 17 John O'Duinn [:joduinn] (please use "needinfo?" flag) 2011-05-03 11:57:01 PDT
(In reply to comment #15)
> I think 5.0 beta would be good to have, but I wouldn't call it a blocker.

Per meeting w/marcia, lsmesa, smooney:

While there are some users on 3.7a3...4.0b6, its a small % compared to the overall pool being reached by this FF5.0b1. Also, those people are on alpha/beta builds that are >6months old. These users will see text only notice, not see the fancy billboard graphic, but if they upgrade, they will see the FF5.0beta firstrun/whatsnew pages. Its hard to justify regenerating+retesting the updates, and delaying updating all the users to FF5.0b1, just for this. We've decided to WONTFIX this.

Note You need to log in before you can comment on or make changes to this bug.